
import GEOM
import geompy
import math
import SALOMEDS


w2 = math.sqrt(2);
p000 = geompy.MakeVertex(0.0, 0.0, 0.0)
p010 = geompy.MakeVertex( w2, 0.0, 0.0)
line1 = geompy.MakeEdge(p000, p010)
#lines5 = geompy.MakeWire([Edge_1, Edge_2, Edge_3, Edge_4, Edge_5], 1e-07)
listSubShapeIDs = geompy.SubShapeAllIDs(line1, geompy.ShapeType["VERTEX"])
Line1 = geompy.CreateGroup(line1, geompy.ShapeType["EDGE"])

beam1 = geompy.CreateGroup(line1, geompy.ShapeType["EDGE"])
geompy.UnionIDs(beam1, [1])
P1 = geompy.CreateGroup(line1, geompy.ShapeType["VERTEX"])
geompy.UnionIDs(P1, [2])
P2 = geompy.CreateGroup(line1, geompy.ShapeType["VERTEX"])
geompy.UnionIDs(P2, [3])

geompy.addToStudy( p000, "p000" )
geompy.addToStudy( p010, "p010" )
geompy.addToStudy( line1, "line1" )
geompy.addToStudyInFather( line1, beam1, "beam1" )
geompy.addToStudyInFather( line1, P1, "P1" )
geompy.addToStudyInFather( line1, P2, "P2" )



import salome, SMESH
import smesh
import StdMeshers

## import GEOM dump file ## 
#import string, os, sys, re
#sys.path.insert( 0, os.path.dirname(__file__) )
#exec("from "+re.sub("SMESH$","GEOM",__name__)+" import *")


smeshO1 = smesh.CreateHypothesis('AutomaticLength')
Mbeam1 = smesh.Mesh(line1)
Regular1D = Mbeam1.Segment()
Average_length = Regular1D.LocalLength(0.050)
Average_length.SetPrecision( 0.0001 )
#theNbElems = smesh.Evaluate( Mbeam1, line1)
isDone = Mbeam1.Compute()

##Mline = Mbeam1.Group(line1)
MP1 = Mbeam1.Group(P1)
MP2 = Mbeam1.Group(P2)
Mbeam1 = Mbeam1.Group(beam1)


	## some objects were removed
#	aStudyBuilder = theStudy.NewBuilder()
#	SO = theStudy.FindObjectIOR(theStudy.ConvertObjectToIOR(smeshObj_1))
#	if SO is not None: aStudyBuilder.RemoveObjectWithChildren(SO)
	## set object names

smesh.SetName(Mbeam1.GetMesh(), 'Mbeam1')
smesh.SetName(Regular1D.GetAlgorithm(), 'Regular1D')
smesh.SetName(Average_length, 'Average length')
smesh.SetName(MP1,   'P1')
smesh.SetName(MP2,   'P2')
smesh.SetName(Mbeam1,'beam1')



